%define name		jmxremote
%define version		1.0.1
%define cvs_version	1_0_1
%define release		1jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java Management Remoting Extensions
License:	Sun Binary Code License
Url:		http://java.sun.com/products/JavaManagement/ 
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	jmx_remote-%{cvs_version}-ri.zip
NoSource:	0
BuildArch:	noarch
BuildRequires:  jpackage-utils > 1.4
Provides:	%{name}ri = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JavaTM Management Extensions (JMX) represent a universal, 
open technology for management, and monitoring ready
to be deployed across all industries, wherever management 
and/or monitoring is/are or will be needed.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 %{name}-%{cvs_version}-bin/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}ri-%{version}.jar
install -m 644 %{name}-%{cvs_version}-bin/lib/%{name}_optional.jar $RPM_BUILD_ROOT%{_javadir}/%{name}ri-optional-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file $(echo $file | sed -e 's/-%{version}//'); done)

#handled via alternative
rm -fr $RPM_BUILD_ROOT%{_javadir}/%{name}ri.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr %{name}-%{cvs_version}-bin/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/update-alternatives --install %{_javadir}/jmxremoteri.jar jmxremoteri %{_javadir}/%{name}ri-%{version}.jar 1

%preun
/usr/sbin/update-alternatives --remove jmxremoteri %{_javadir}/%{name}ri-%{version}.jar


%files
%defattr(-,root,root)
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Thu Sep 23 2004 Ralph Apel <r.apel at r-apel.de> 1.0.1-1jpp
- First JPackage release
